<template>
    <div class="full-page bg">
        <el-tabs class="page-tab" ref="contentPanel" v-model="activeName" @tab-click="handleClick">
            <el-tab-pane label="用户管理" name="first">
                <userPage />
            </el-tab-pane>
            <el-tab-pane label="配置管理" name="second">配置管理</el-tab-pane>
        </el-tabs>
        <!-- <el-row :gutter="20" class="main-table-container" style="height: calc(100% - 10px) !important;margin-top: 0 !important;">
            <el-col :span="24" class="table-container" ref="contentPanel" style="padding: 20px;">
                <el-tabs v-model="activeName" @tab-click="handleClick">
                    <el-tab-pane label="用户管理" name="first">
                        <userPage/>
                    </el-tab-pane>
                    <el-tab-pane label="配置管理" name="second">配置管理</el-tab-pane>
                </el-tabs>
            </el-col>
        </el-row> -->
    </div>
</template>
  
<script>
import pagination from '@/components/pagination'
import { TableMixin } from '@/mixins/tableMixin'
import req from '@/request.js'
import utils from '@/utils.js'
import userPage from './components/userPage.vue'
const portal = window.context.portal
export default {
    name: 'DemandEntry',
    components: {
        pagination,
        userPage
    },
    mixins: [TableMixin],
    data() {
        return {
            tableMaxHeight: 400,
            loading: false,
            tableLoading: false,
            tableData: [
                {
                    name: '张三',
                    state: '已认证',
                    time: '2023-10-30'
                },
                {
                    name: '李四',
                    state: '未认证',
                    time: '2023-10-29'
                }
            ],
            multipleSelection: [],
            params: {
                pageBean: {
                    page: 1,
                    pageSize: 20,
                    total: 0
                }
            },
            isActive: 0,
            tabList: [{
                text: '全部',
                color: ''
            },
            {
                text: '已认证',
                color: '#44b4ad'
            },
            {
                text: '未认证',
                color: '#999999'
            }
            ],
            activeName: 'first',



            searchForm: {}, // 顶部搜索对象
            currentDataDel: [],
            options: [{
                name: '已认证', value: '1'
            }, {
                name: '未认证', value: '2'

            }],
        }
    },

    created() {
    },
    methods: {
        //字典回显
        getDictName(code, value) {
            return utils.getDictName(code, value)
        },
        //获取数据
        loadData() {
            this.tableLoading = true
        },
        //添加
        handleAdd() {
            this.$refs.UnitRegistrationDialog.add()
        },
        // 删除
        handleDelete() {
            this.$confirm('确定删除选中数据吗？', '提示', {
                confirmButtonText: '确认',
                cancelButtonText: '取消',
                type: 'warning'
            }).then(() => {

            })
        },
        //修改
        handleDbClick(row) {
            this.$refs.UnitRegistrationDialog.edit(row)
        },
        // 顶部搜索
        handleSearch() {

        },
        checkTab(val) {
            this.isActive = val
        },
        //表格选中
        handleSelectionChange(currentData) {
        },
        //分页页数
        handleCurrentChange(page) {
            this.params.pageBean = { ...this.params.pageBean, page }
            this.loadData(this.params)
        },
        //分页大小
        handleSizeChange(pageSize) {
            this.params.pageBean = { ...this.params.pageBean, pageSize }
            this.loadData(this.params)
        },
        handleClick(val) {

        }
    }
}
</script>
  
<style lang="scss" scoped>
/deep/ .el-tabs__content {
    height: calc(100% - 44px);

    .el-tab-pane {
        height: 100%;
    }
}

.full-page {
    padding: 0 !important;
}

.page-tab {
    /deep/ .el-tabs__nav-scroll {
        background-color: #fff;
        padding: 2px 20px 0;
        box-sizing: border-box;

        .el-tabs__item.is-active {
            border-top: 2px solid #1F78FF;
            box-sizing: border-box;
            font-weight: 800 !important;
            color: #1F78FF;
            background: #F2F2F2;
        }

        .el-tabs__item {
            padding: 0 32px !important;
        box-sizing: border-box;

        }

        .el-tabs__active-bar {
            display: none;
        }

    }

    /deep/ .el-tabs__header {
        margin: 0 !important;
    }

    /deep/.el-tabs__content {
        padding: 10px !important;
        box-sizing: border-box;

    }
}</style>
  